Package sop.operation

# Interface VerifySignatures

All Known Subinterfaces:
  `DetachedVerify`

public interface VerifySignatures

## Method Summary

Modifier and Type
Method
Description
`default List<Verification>`
`data(byte[] data)`
Provide the signed data (without signatures).
`List<Verification>`
`data(InputStream data)`
Provide the signed data (without signatures).

## Method Details

### data

List<Verification> data(InputStream data) throws IOException, SOPGPException.NoSignature, SOPGPException.BadData
Provide the signed data (without signatures).

Parameters:
  `data` - signed data
Returns:
  list of signature verifications
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.NoSignature` - when no valid signature is found
  `SOPGPException.BadData` - when the data is invalid OpenPGP data

### data

default List<Verification> data(byte[] data) throws IOException, SOPGPException.NoSignature, SOPGPException.BadData
Provide the signed data (without signatures).

Parameters:
  `data` - signed data
Returns:
  list of signature verifications
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.NoSignature` - when no valid signature is found
  `SOPGPException.BadData` - when the data is invalid OpenPGP data